Bug 1124892 - emacs: [PATCH] please add appdata file
Summary: emacs: [PATCH] please add appdata file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 14:56 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2014-12-06 10:56 UTC (History)
3 users (show)

Fixed In Version: emacs-24.4-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-06 10:56:14 UTC


Attachments (Terms of Use)
emacs.appdata.xml (2.58 KB, text/plain)
2014-07-30 14:56 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details

Description Zbigniew Jędrzejewski-Szmek 2014-07-30 14:56:31 UTC
Created attachment 922622 [details]
emacs.appdata.xml

Description of problem:
emacs is not displayed in gnome-software as nicely as it deserves.

Please find the attached appdata file. I think it can serve as the reasonable first version.

Version-Release number of selected component (if applicable):
emacs-24.3-17.fc20.x86_64

Comment 1 Petr Hracek 2014-11-18 12:52:53 UTC
Thanks for your appdata file.
One question, I would like to include official text from http://www.gnu.org/software/emacs/

Could you please let me know where did you get the text from?

Greetings
Petr

Comment 2 Zbigniew Jędrzejewski-Szmek 2014-11-18 13:30:27 UTC
(In reply to Petr Hracek from comment #1)
> Could you please let me know where did you get the text from?
I wrote it myself ;). Feel free to replace/modify it in any way.

But upstream added an appdata file in the meantime:
https://lists.gnu.org/archive/html/emacs-diffs/2014-08/msg00177.html .

I think that my version is better... I tried to make it intellibigble
for a person who does not know emacs already, so I didn't concentrate
on lisp and customization, but tried to talk more about built-in useful
features.

I guess one option would be submit a patch to extend the description
upstream, including the screenshots. I'll send the patch if you think
it's useful.

Zbyszek

Comment 3 Petr Hracek 2014-11-18 13:44:07 UTC
Yeah, it would be nice.

You are right, your version is better and more understandable.
You can also send the patch to the upstream.

I will build the emacs with your version, though.

Comment 5 Fedora Update System 2014-11-19 11:39:50 UTC
emacs-24.4-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/emacs-24.4-3.fc21

Comment 6 Fedora Update System 2014-11-20 09:05:36 UTC
Package emacs-24.4-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing emacs-24.4-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15415/emacs-24.4-3.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-12-06 10:56:14 UTC
emacs-24.4-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.